sidebarNodes={"extras":[{"id":"api-reference","title":"API Reference","group":"","headers":[{"id":"Modules","anchor":"modules"},{"id":"Exceptions","anchor":"exceptions"}]},{"id":"readme","title":"Introduction to Money","group":"","headers":[{"id":"Prerequisities","anchor":"prerequisities"},{"id":"Exchange rates and currency conversion","anchor":"exchange-rates-and-currency-conversion"},{"id":"Configuration","anchor":"configuration"},{"id":"The Exchange rates service process supervision and startup","anchor":"the-exchange-rates-service-process-supervision-and-startup"},{"id":"Using Ecto or other applications from within the callback module","anchor":"using-ecto-or-other-applications-from-within-the-callback-module"},{"id":"API Usage Examples","anchor":"api-usage-examples"},{"id":"Subscriptions","anchor":"subscriptions"},{"id":"Serializing to a database with Ecto","anchor":"serializing-to-a-database-with-ecto"},{"id":"Installation","anchor":"installation"},{"id":"Why yet another Money package?","anchor":"why-yet-another-money-package"},{"id":"Falsehoods programmers believe about prices","anchor":"falsehoods-programmers-believe-about-prices"}]},{"id":"changelog","title":"Changelog for Money v4.1.0","group":"","headers":[]},{"id":"license","title":"LICENSE","group":"","headers":[{"id":"License","anchor":"license"}]}],"exceptions":[{"id":"Money.ExchangeRateError","title":"Money.ExchangeRateError","group":""},{"id":"Money.Invalid","title":"Money.Invalid","group":""},{"id":"Money.InvalidAmountError","title":"Money.InvalidAmountError","group":""},{"id":"Money.UnknownCurrencyError","title":"Money.UnknownCurrencyError","group":""},{"id":"Money.Subscription.DateError","title":"Money.Subscription.DateError","group":"Subscriptions"},{"id":"Money.Subscription.NoCurrentPlan","title":"Money.Subscription.NoCurrentPlan","group":"Subscriptions"},{"id":"Money.Subscription.PlanError","title":"Money.Subscription.PlanError","group":"Subscriptions"},{"id":"Money.Subscription.PlanPending","title":"Money.Subscription.PlanPending","group":"Subscriptions"}],"modules":[{"id":"Money","title":"Money","group":"","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"amount/0","anchor":"t:amount/0"},{"id":"currency_code/0","anchor":"t:currency_code/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"abs/1","anchor":"abs/1"},{"id":"add/2","anchor":"add/2"},{"id":"add!/2","anchor":"add!/2"},{"id":"cmp/2","anchor":"cmp/2"},{"id":"cmp!/2","anchor":"cmp!/2"},{"id":"compare/2","anchor":"compare/2"},{"id":"compare!/2","anchor":"compare!/2"},{"id":"cross_rate/3","anchor":"cross_rate/3"},{"id":"cross_rate!/3","anchor":"cross_rate!/3"},{"id":"div/2","anchor":"div/2"},{"id":"div!/2","anchor":"div!/2"},{"id":"equal?/2","anchor":"equal?/2"},{"id":"from_float/2","anchor":"from_float/2"},{"id":"from_float!/2","anchor":"from_float!/2"},{"id":"from_integer/2","anchor":"from_integer/2"},{"id":"get_env/3","anchor":"get_env/3"},{"id":"known_currencies/0","anchor":"known_currencies/0"},{"id":"known_current_currencies/0","anchor":"known_current_currencies/0"},{"id":"known_historic_currencies/0","anchor":"known_historic_currencies/0"},{"id":"known_tender_currencies/0","anchor":"known_tender_currencies/0"},{"id":"mult/2","anchor":"mult/2"},{"id":"mult!/2","anchor":"mult!/2"},{"id":"new/3","anchor":"new/3"},{"id":"new!/2","anchor":"new!/2"},{"id":"parse/2","anchor":"parse/2"},{"id":"put_fraction/2","anchor":"put_fraction/2"},{"id":"reduce/1","anchor":"reduce/1"},{"id":"round/2","anchor":"round/2"},{"id":"split/2","anchor":"split/2"},{"id":"sub/2","anchor":"sub/2"},{"id":"sub!/2","anchor":"sub!/2"},{"id":"to_currency/3","anchor":"to_currency/3"},{"id":"to_currency!/3","anchor":"to_currency!/3"},{"id":"to_decimal/1","anchor":"to_decimal/1"},{"id":"to_integer_exp/2","anchor":"to_integer_exp/2"},{"id":"to_string/2","anchor":"to_string/2"},{"id":"to_string!/2","anchor":"to_string!/2"},{"id":"validate_currency/1","anchor":"validate_currency/1"},{"id":"zero/1","anchor":"zero/1"}]}]},{"id":"Money.Application","title":"Money.Application","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"start/2","anchor":"start/2"}]}]},{"id":"Money.Cldr","title":"Money.Cldr","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"available_locale_name?/1","anchor":"available_locale_name?/1"},{"id":"default_locale/0","anchor":"default_locale/0"},{"id":"default_territory/0","anchor":"default_territory/0"},{"id":"get_locale/0","anchor":"get_locale/0"},{"id":"known_calendars/0","anchor":"known_calendars/0"},{"id":"known_currencies/0","anchor":"known_currencies/0"},{"id":"known_gettext_locale_name/1","anchor":"known_gettext_locale_name/1"},{"id":"known_gettext_locale_name?/1","anchor":"known_gettext_locale_name?/1"},{"id":"known_gettext_locale_names/0","anchor":"known_gettext_locale_names/0"},{"id":"known_locale_name/1","anchor":"known_locale_name/1"},{"id":"known_locale_name?/1","anchor":"known_locale_name?/1"},{"id":"known_locale_names/0","anchor":"known_locale_names/0"},{"id":"known_number_system_types/0","anchor":"known_number_system_types/0"},{"id":"known_number_systems/0","anchor":"known_number_systems/0"},{"id":"known_rbnf_locale_name/1","anchor":"known_rbnf_locale_name/1"},{"id":"known_rbnf_locale_name?/1","anchor":"known_rbnf_locale_name?/1"},{"id":"known_rbnf_locale_names/0","anchor":"known_rbnf_locale_names/0"},{"id":"known_territories/0","anchor":"known_territories/0"},{"id":"put_locale/1","anchor":"put_locale/1"},{"id":"unknown_locale_names/0","anchor":"unknown_locale_names/0"},{"id":"validate_calendar/1","anchor":"validate_calendar/1"},{"id":"validate_currency/1","anchor":"validate_currency/1"},{"id":"validate_locale/1","anchor":"validate_locale/1"},{"id":"validate_number_system/1","anchor":"validate_number_system/1"},{"id":"validate_number_system_type/1","anchor":"validate_number_system_type/1"},{"id":"validate_territory/1","anchor":"validate_territory/1"}]}]},{"id":"Money.Cldr.Currency","title":"Money.Cldr.Currency","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"currencies_for_locale/2","anchor":"currencies_for_locale/2"},{"id":"currencies_for_locale!/2","anchor":"currencies_for_locale!/2"},{"id":"currency_for_code/2","anchor":"currency_for_code/2"},{"id":"currency_history_for_locale/1","anchor":"currency_history_for_locale/1"},{"id":"currency_strings/2","anchor":"currency_strings/2"},{"id":"currency_strings!/2","anchor":"currency_strings!/2"},{"id":"current_currency_for_locale/1","anchor":"current_currency_for_locale/1"},{"id":"known_currencies/0","anchor":"known_currencies/0"},{"id":"known_currency?/2","anchor":"known_currency?/2"},{"id":"make_currency_code/1","anchor":"make_currency_code/1"},{"id":"new/2","anchor":"new/2"},{"id":"pluralize/3","anchor":"pluralize/3"},{"id":"strings_for_currency/2","anchor":"strings_for_currency/2"}]}]},{"id":"Money.Cldr.Locale","title":"Money.Cldr.Locale","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"new/1","anchor":"new/1"},{"id":"new!/1","anchor":"new!/1"}]}]},{"id":"Money.Cldr.Number","title":"Money.Cldr.Number","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_approx_string/2","anchor":"to_approx_string/2"},{"id":"to_at_least_string/2","anchor":"to_at_least_string/2"},{"id":"to_at_most_string/2","anchor":"to_at_most_string/2"},{"id":"to_range_string/2","anchor":"to_range_string/2"},{"id":"to_string/2","anchor":"to_string/2"},{"id":"to_string!/2","anchor":"to_string!/2"},{"id":"validate_number_system/2","anchor":"validate_number_system/2"}]}]},{"id":"Money.Cldr.Number.Cardinal","title":"Money.Cldr.Number.Cardinal","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"available_locale_names/0","anchor":"available_locale_names/0"},{"id":"known_locale_names/0","anchor":"known_locale_names/0"},{"id":"plural_rule/3","anchor":"plural_rule/3"},{"id":"plural_rules/0","anchor":"plural_rules/0"},{"id":"plural_rules_for/1","anchor":"plural_rules_for/1"},{"id":"pluralize/3","anchor":"pluralize/3"}]}]},{"id":"Money.Cldr.Number.Format","title":"Money.Cldr.Number.Format","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"all_formats_for/1","anchor":"all_formats_for/1"},{"id":"all_formats_for!/1","anchor":"all_formats_for!/1"},{"id":"currency_spacing/2","anchor":"currency_spacing/2"},{"id":"decimal_format_list/0","anchor":"decimal_format_list/0"},{"id":"decimal_format_list_for/1","anchor":"decimal_format_list_for/1"},{"id":"default_grouping_for/1","anchor":"default_grouping_for/1"},{"id":"default_grouping_for!/1","anchor":"default_grouping_for!/1"},{"id":"formats_for/2","anchor":"formats_for/2"},{"id":"formats_for!/2","anchor":"formats_for!/2"},{"id":"minimum_grouping_digits_for/1","anchor":"minimum_grouping_digits_for/1"},{"id":"minimum_grouping_digits_for!/1","anchor":"minimum_grouping_digits_for!/1"}]}]},{"id":"Money.Cldr.Number.Formatter.Decimal","title":"Money.Cldr.Number.Formatter.Decimal","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"to_string/3","anchor":"to_string/3"}]}]},{"id":"Money.Cldr.Number.Ordinal","title":"Money.Cldr.Number.Ordinal","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"available_locale_names/0","anchor":"available_locale_names/0"},{"id":"known_locale_names/0","anchor":"known_locale_names/0"},{"id":"plural_rule/3","anchor":"plural_rule/3"},{"id":"plural_rules/0","anchor":"plural_rules/0"},{"id":"plural_rules_for/1","anchor":"plural_rules_for/1"},{"id":"pluralize/3","anchor":"pluralize/3"}]}]},{"id":"Money.Cldr.Number.PluralRule.Range","title":"Money.Cldr.Number.PluralRule.Range","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"plural_rule/3","anchor":"plural_rule/3"}]}]},{"id":"Money.Cldr.Number.Symbol","title":"Money.Cldr.Number.Symbol","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"all_decimal_symbols/0","anchor":"all_decimal_symbols/0"},{"id":"all_decimal_symbols_class/0","anchor":"all_decimal_symbols_class/0"},{"id":"all_grouping_symbols/0","anchor":"all_grouping_symbols/0"},{"id":"all_grouping_symbols_class/0","anchor":"all_grouping_symbols_class/0"},{"id":"number_symbols_for/1","anchor":"number_symbols_for/1"},{"id":"number_symbols_for/2","anchor":"number_symbols_for/2"}]}]},{"id":"Money.Cldr.Number.System","title":"Money.Cldr.Number.System","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"number_system_for/2","anchor":"number_system_for/2"},{"id":"number_system_names_for/1","anchor":"number_system_names_for/1"},{"id":"number_system_names_for!/1","anchor":"number_system_names_for!/1"},{"id":"number_system_types_for/1","anchor":"number_system_types_for/1"},{"id":"number_systems_for/1","anchor":"number_systems_for/1"},{"id":"number_systems_for!/1","anchor":"number_systems_for!/1"},{"id":"number_systems_like/2","anchor":"number_systems_like/2"},{"id":"system_name_from/2","anchor":"system_name_from/2"},{"id":"to_system/2","anchor":"to_system/2"},{"id":"to_system!/2","anchor":"to_system!/2"}]}]},{"id":"Money.Cldr.Number.Transliterate","title":"Money.Cldr.Number.Transliterate","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"transliterate/3","anchor":"transliterate/3"},{"id":"transliterate!/3","anchor":"transliterate!/3"},{"id":"transliterate_digits/3","anchor":"transliterate_digits/3"}]}]},{"id":"Money.Cldr.Rbnf.NumberSystem","title":"Money.Cldr.Rbnf.NumberSystem","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"all_rule_sets/0","anchor":"all_rule_sets/0"},{"id":"armenian_lower/2","anchor":"armenian_lower/2"},{"id":"armenian_upper/2","anchor":"armenian_upper/2"},{"id":"cyrillic_lower/2","anchor":"cyrillic_lower/2"},{"id":"cyrillic_lower_1_10/2","anchor":"cyrillic_lower_1_10/2"},{"id":"cyrillic_lower_final/2","anchor":"cyrillic_lower_final/2"},{"id":"cyrillic_lower_post/2","anchor":"cyrillic_lower_post/2"},{"id":"cyrillic_lower_thousands/2","anchor":"cyrillic_lower_thousands/2"},{"id":"ethiopic/2","anchor":"ethiopic/2"},{"id":"ethiopic_p/2","anchor":"ethiopic_p/2"},{"id":"ethiopic_p1/2","anchor":"ethiopic_p1/2"},{"id":"ethiopic_p2/2","anchor":"ethiopic_p2/2"},{"id":"ethiopic_p3/2","anchor":"ethiopic_p3/2"},{"id":"georgian/2","anchor":"georgian/2"},{"id":"greek_lower/2","anchor":"greek_lower/2"},{"id":"greek_numeral_majuscules/2","anchor":"greek_numeral_majuscules/2"},{"id":"greek_numeral_minuscules/2","anchor":"greek_numeral_minuscules/2"},{"id":"greek_upper/2","anchor":"greek_upper/2"},{"id":"hebrew/2","anchor":"hebrew/2"},{"id":"hebrew_0_99/2","anchor":"hebrew_0_99/2"},{"id":"hebrew_item/2","anchor":"hebrew_item/2"},{"id":"hebrew_thousands/2","anchor":"hebrew_thousands/2"},{"id":"roman_lower/2","anchor":"roman_lower/2"},{"id":"roman_upper/2","anchor":"roman_upper/2"},{"id":"rule_sets/1","anchor":"rule_sets/1"},{"id":"tamil/2","anchor":"tamil/2"},{"id":"tamil_thousands/2","anchor":"tamil_thousands/2"}]}]},{"id":"Money.Cldr.Rbnf.Ordinal","title":"Money.Cldr.Rbnf.Ordinal","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"all_rule_sets/0","anchor":"all_rule_sets/0"},{"id":"digits_ordinal/2","anchor":"digits_ordinal/2"},{"id":"digits_ordinal_feminine/2","anchor":"digits_ordinal_feminine/2"},{"id":"digits_ordinal_feminine_plural/2","anchor":"digits_ordinal_feminine_plural/2"},{"id":"digits_ordinal_masculine/2","anchor":"digits_ordinal_masculine/2"},{"id":"digits_ordinal_masculine_adjective/2","anchor":"digits_ordinal_masculine_adjective/2"},{"id":"digits_ordinal_masculine_plural/2","anchor":"digits_ordinal_masculine_plural/2"},{"id":"dord_femabbrev/2","anchor":"dord_femabbrev/2"},{"id":"dord_mascabbrev/2","anchor":"dord_mascabbrev/2"},{"id":"rule_sets/1","anchor":"rule_sets/1"}]}]},{"id":"Money.Cldr.Rbnf.Spellout","title":"Money.Cldr.Rbnf.Spellout","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"2d_year/2","anchor":"2d_year/2"},{"id":"all_rule_sets/0","anchor":"all_rule_sets/0"},{"id":"and/2","anchor":"and/2"},{"id":"and_o/2","anchor":"and_o/2"},{"id":"cents_f/2","anchor":"cents_f/2"},{"id":"cents_m/2","anchor":"cents_m/2"},{"id":"cents_o/2","anchor":"cents_o/2"},{"id":"commas/2","anchor":"commas/2"},{"id":"commas_o/2","anchor":"commas_o/2"},{"id":"et_un/2","anchor":"et_un/2"},{"id":"et_une/2","anchor":"et_une/2"},{"id":"et_unieme/2","anchor":"et_unieme/2"},{"id":"fem_with_a/2","anchor":"fem_with_a/2"},{"id":"fem_with_i/2","anchor":"fem_with_i/2"},{"id":"fem_with_o/2","anchor":"fem_with_o/2"},{"id":"lenient_parse/2","anchor":"lenient_parse/2"},{"id":"mille_o/2","anchor":"mille_o/2"},{"id":"msc_no_final/2","anchor":"msc_no_final/2"},{"id":"msc_with_a/2","anchor":"msc_with_a/2"},{"id":"msc_with_a_nofinal/2","anchor":"msc_with_a_nofinal/2"},{"id":"msc_with_i/2","anchor":"msc_with_i/2"},{"id":"msc_with_i_nofinal/2","anchor":"msc_with_i_nofinal/2"},{"id":"msc_with_o/2","anchor":"msc_with_o/2"},{"id":"msc_with_o_nofinal/2","anchor":"msc_with_o_nofinal/2"},{"id":"msco_with_a/2","anchor":"msco_with_a/2"},{"id":"msco_with_i/2","anchor":"msco_with_i/2"},{"id":"msco_with_o/2","anchor":"msco_with_o/2"},{"id":"ordinal_esima/2","anchor":"ordinal_esima/2"},{"id":"ordinal_esima_with_a/2","anchor":"ordinal_esima_with_a/2"},{"id":"ordinal_esima_with_i/2","anchor":"ordinal_esima_with_i/2"},{"id":"ordinal_esima_with_o/2","anchor":"ordinal_esima_with_o/2"},{"id":"ordinal_esimo/2","anchor":"ordinal_esimo/2"},{"id":"ordinal_esimo_with_a/2","anchor":"ordinal_esimo_with_a/2"},{"id":"ordinal_esimo_with_i/2","anchor":"ordinal_esimo_with_i/2"},{"id":"ordinal_esimo_with_o/2","anchor":"ordinal_esimo_with_o/2"},{"id":"rule_sets/1","anchor":"rule_sets/1"},{"id":"spellout_cardinal/2","anchor":"spellout_cardinal/2"},{"id":"spellout_cardinal_feminine/2","anchor":"spellout_cardinal_feminine/2"},{"id":"spellout_cardinal_masculine/2","anchor":"spellout_cardinal_masculine/2"},{"id":"spellout_cardinal_n/2","anchor":"spellout_cardinal_n/2"},{"id":"spellout_cardinal_neuter/2","anchor":"spellout_cardinal_neuter/2"},{"id":"spellout_cardinal_r/2","anchor":"spellout_cardinal_r/2"},{"id":"spellout_cardinal_s/2","anchor":"spellout_cardinal_s/2"},{"id":"spellout_cardinal_verbose/2","anchor":"spellout_cardinal_verbose/2"},{"id":"spellout_leading/2","anchor":"spellout_leading/2"},{"id":"spellout_numbering/2","anchor":"spellout_numbering/2"},{"id":"spellout_numbering_verbose/2","anchor":"spellout_numbering_verbose/2"},{"id":"spellout_numbering_year/2","anchor":"spellout_numbering_year/2"},{"id":"spellout_ordinal/2","anchor":"spellout_ordinal/2"},{"id":"spellout_ordinal_feminine/2","anchor":"spellout_ordinal_feminine/2"},{"id":"spellout_ordinal_feminine_plural/2","anchor":"spellout_ordinal_feminine_plural/2"},{"id":"spellout_ordinal_masculine/2","anchor":"spellout_ordinal_masculine/2"},{"id":"spellout_ordinal_masculine_adjective/2","anchor":"spellout_ordinal_masculine_adjective/2"},{"id":"spellout_ordinal_masculine_plural/2","anchor":"spellout_ordinal_masculine_plural/2"},{"id":"spellout_ordinal_n/2","anchor":"spellout_ordinal_n/2"},{"id":"spellout_ordinal_r/2","anchor":"spellout_ordinal_r/2"},{"id":"spellout_ordinal_s/2","anchor":"spellout_ordinal_s/2"},{"id":"spellout_ordinal_verbose/2","anchor":"spellout_ordinal_verbose/2"},{"id":"ste/2","anchor":"ste/2"},{"id":"ste2/2","anchor":"ste2/2"},{"id":"subcents_f/2","anchor":"subcents_f/2"},{"id":"subcents_m/2","anchor":"subcents_m/2"},{"id":"subcents_o/2","anchor":"subcents_o/2"},{"id":"th/2","anchor":"th/2"},{"id":"tieth/2","anchor":"tieth/2"}]}]},{"id":"Money.Currency","title":"Money.Currency","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"currency_for_code/1","anchor":"currency_for_code/1"},{"id":"known_current_currencies/0","anchor":"known_current_currencies/0"},{"id":"known_historic_currencies/0","anchor":"known_historic_currencies/0"},{"id":"known_tender_currencies/0","anchor":"known_tender_currencies/0"}]}]},{"id":"Money.Financial","title":"Money.Financial","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"future_value/2","anchor":"future_value/2"},{"id":"future_value/3","anchor":"future_value/3"},{"id":"interest_rate/3","anchor":"interest_rate/3"},{"id":"internal_rate_of_return/1","anchor":"internal_rate_of_return/1"},{"id":"net_present_value/2","anchor":"net_present_value/2"},{"id":"net_present_value/3","anchor":"net_present_value/3"},{"id":"net_present_value/4","anchor":"net_present_value/4"},{"id":"payment/3","anchor":"payment/3"},{"id":"periods/3","anchor":"periods/3"},{"id":"present_value/2","anchor":"present_value/2"},{"id":"present_value/3","anchor":"present_value/3"}]}]},{"id":"Money.Sigil","title":"Money.Sigil","group":"","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"sigil_M/2","anchor":"sigil_M/2"},{"id":"validate_currency!/1","anchor":"validate_currency!/1"}]}]},{"id":"Money.ExchangeRates","title":"Money.ExchangeRates","group":"Exchange Rates","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"config/0","anchor":"config/0"},{"id":"default_config/0","anchor":"default_config/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"latest_rates_available?/0","anchor":"latest_rates_available?/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"decode_rates/1","anchor":"c:decode_rates/1"},{"id":"get_historic_rates/2","anchor":"c:get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"c:get_latest_rates/1"},{"id":"init/1","anchor":"c:init/1"}]}]},{"id":"Money.ExchangeRates.Cache","title":"Money.ExchangeRates.Cache","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"cache/0","anchor":"cache/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"latest_rates/0","anchor":"latest_rates/0"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"historic_rates/1","anchor":"c:historic_rates/1"},{"id":"init/0","anchor":"c:init/0"},{"id":"latest_rates/0","anchor":"c:latest_rates/0"},{"id":"store_historic_rates/2","anchor":"c:store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"c:store_latest_rates/2"},{"id":"terminate/0","anchor":"c:terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.Dets","title":"Money.ExchangeRates.Cache.Dets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"get/1","anchor":"get/1"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"init/0","anchor":"init/0"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"put/2","anchor":"put/2"},{"id":"store_historic_rates/2","anchor":"store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"store_latest_rates/2"},{"id":"terminate/0","anchor":"terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.Ets","title":"Money.ExchangeRates.Cache.Ets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"get/1","anchor":"get/1"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"init/0","anchor":"init/0"},{"id":"last_updated/0","anchor":"last_updated/0"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"put/2","anchor":"put/2"},{"id":"store_historic_rates/2","anchor":"store_historic_rates/2"},{"id":"store_latest_rates/2","anchor":"store_latest_rates/2"},{"id":"terminate/0","anchor":"terminate/0"}]}]},{"id":"Money.ExchangeRates.Cache.EtsDets","title":"Money.ExchangeRates.Cache.EtsDets","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"define_common_functions/0","anchor":"define_common_functions/0"}]}]},{"id":"Money.ExchangeRates.Callback","title":"Money.ExchangeRates.Callback","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"historic_rates_retrieved/2","anchor":"historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"latest_rates_retrieved/2"}]},{"key":"callbacks","name":"Callbacks","nodes":[{"id":"historic_rates_retrieved/2","anchor":"c:historic_rates_retrieved/2"},{"id":"latest_rates_retrieved/2","anchor":"c:latest_rates_retrieved/2"}]}]},{"id":"Money.ExchangeRates.Config","title":"Money.ExchangeRates.Config","group":"Exchange Rates","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]}]},{"id":"Money.ExchangeRates.OpenExchangeRates","title":"Money.ExchangeRates.OpenExchangeRates","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"decode_rates/1","anchor":"decode_rates/1"},{"id":"get_historic_rates/2","anchor":"get_historic_rates/2"},{"id":"get_latest_rates/1","anchor":"get_latest_rates/1"},{"id":"init/1","anchor":"init/1"}]}]},{"id":"Money.ExchangeRates.Retriever","title":"Money.ExchangeRates.Retriever","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"config/0","anchor":"config/0"},{"id":"delete/0","anchor":"delete/0"},{"id":"historic_rates/1","anchor":"historic_rates/1"},{"id":"historic_rates/2","anchor":"historic_rates/2"},{"id":"latest_rates/0","anchor":"latest_rates/0"},{"id":"reconfigure/1","anchor":"reconfigure/1"},{"id":"restart/0","anchor":"restart/0"},{"id":"retrieve_rates/2","anchor":"retrieve_rates/2"},{"id":"start/1","anchor":"start/1"},{"id":"stop/0","anchor":"stop/0"}]}]},{"id":"Money.ExchangeRates.Supervisor","title":"Money.ExchangeRates.Supervisor","group":"Exchange Rates","nodeGroups":[{"key":"functions","name":"Functions","nodes":[{"id":"child_spec/1","anchor":"child_spec/1"},{"id":"delete_retriever/0","anchor":"delete_retriever/0"},{"id":"restart_retriever/0","anchor":"restart_retriever/0"},{"id":"retriever_running?/0","anchor":"retriever_running?/0"},{"id":"retriever_status/0","anchor":"retriever_status/0"},{"id":"start_link/0","anchor":"start_link/0"},{"id":"start_link/1","anchor":"start_link/1"},{"id":"start_retriever/1","anchor":"start_retriever/1"},{"id":"stop/0","anchor":"stop/0"},{"id":"stop_retriever/0","anchor":"stop_retriever/0"}]}]},{"id":"Money.Subscription","title":"Money.Subscription","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"id/0","anchor":"t:id/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"},{"id":"cancel_pending_plan/2","anchor":"cancel_pending_plan/2"},{"id":"change_plan/3","anchor":"change_plan/3"},{"id":"change_plan!/3","anchor":"change_plan!/3"},{"id":"current_interval_start_date/2","anchor":"current_interval_start_date/2"},{"id":"current_plan/2","anchor":"current_plan/2"},{"id":"current_plan_start_date/1","anchor":"current_plan_start_date/1"},{"id":"days_remaining/4","anchor":"days_remaining/4"},{"id":"latest_plan/1","anchor":"latest_plan/1"},{"id":"new/3","anchor":"new/3"},{"id":"new!/3","anchor":"new!/3"},{"id":"next_interval_starts/3","anchor":"next_interval_starts/3"},{"id":"plan_days/3","anchor":"plan_days/3"},{"id":"plan_pending?/2","anchor":"plan_pending?/2"}]}]},{"id":"Money.Subscription.Change","title":"Money.Subscription.Change","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"}]}]},{"id":"Money.Subscription.Plan","title":"Money.Subscription.Plan","group":"Subscriptions","nodeGroups":[{"key":"types","name":"Types","nodes":[{"id":"interval/0","anchor":"t:interval/0"},{"id":"interval_count/0","anchor":"t:interval_count/0"},{"id":"t/0","anchor":"t:t/0"}]},{"key":"functions","name":"Functions","nodes":[{"id":"__struct__/0","anchor":"__struct__/0"},{"id":"new/3","anchor":"new/3"},{"id":"new!/3","anchor":"new!/3"}]}]}],"tasks":[]}